#include <QFileOpenEvent>

#include "NGApplication.h"

NGApplication::NGApplication(int &argc, char **argv) :
    QtSingleApplication(argc, argv)
{
}

bool NGApplication::event(QEvent *event)
{
    switch (event->type()) {
    case QEvent::FileOpen:
        emit loadFile(static_cast<QFileOpenEvent *>(event)->file());
        return true;
    default:
        return QtSingleApplication::event(event);
    }
}
